%define libname libigfxcmrt
Name:          intel-media-driver
Version:       23.4.2
Release:       1mamba
Summary:       VA-API (Video Acceleration API) user mode driver supporting Intel Broadwell+ iGPUs
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/intel/media-driver
Source:        https://github.com/intel/media-driver.git/intel-media-%{version}/media-driver-%{version}.tar.bz2
License:       BSD, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libigdgmm-devel
BuildRequires: libstdc++6-devel
BuildRequires: libva-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description
The Intel(R) Media Driver for VAAPI is a new VA-API (Video Acceleration API) user mode driver supporting hardware accelerated decoding, encoding, and video post processing for GEN based graphics hardware.

%package -n %{libname}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n %{libname}
This package contains shared libraries for %{name}.

%package -n %{libname}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n %{libname}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n media-driver-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libigfxcmrt.so.*
%{_libdir}/dri/iHD_drv_video.so
%doc LICENSE.md

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/igfxcmrt
%{_includedir}/igfxcmrt/*.h
%{_libdir}/libigfxcmrt.so
%{_libdir}/pkgconfig/igfxcmrt.pc
%doc README.md

%changelog
* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 23.4.2-1mamba
- automatic version update by autodist

* Sat Nov 25 2023 Automatic Build System <autodist@mambasoft.it> 23.4.1-1mamba
- automatic version update by autodist

* Sun Oct 22 2023 Automatic Build System <autodist@mambasoft.it> 23.3.5-1mamba
- automatic version update by autodist

* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 23.3.4-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 23.3.3-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 23.3.2-1mamba
- automatic version update by autodist

* Sun Aug 20 2023 Automatic Build System <autodist@mambasoft.it> 23.3.1-1mamba
- automatic version update by autodist

* Sun Jul 16 2023 Automatic Build System <autodist@mambasoft.it> 23.3.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Automatic Build System <autodist@mambasoft.it> 23.2.4-1mamba
- automatic version update by autodist

* Sun Jun 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 23.2.3-1mamba
- package created using the webbuild interface
